Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## bot
Class DroolsBot

    java.lang.Object
      bot.Bot
          bot.DroolsBot

All Implemented Interfaces:
  IF_Bot_Talk

Direct Known Subclasses:
  HSBremen2

    public abstract class DroolsBot

extends Bot

Foundation of a bot which wants to implement its strategy via drools.

Author:
  Witthold/Korol

Nested Class Summary
`class` | `DroolsBot.PotEquity`

Field Summary
`protected org.drools.KnowledgeBase` | `kbase`
`protected org.drools.runtime.StatefulKnowledgeSession` | `ksession`
`protected org.drools.logger.KnowledgeRuntimeLogger` | `logger`

Fields inherited from class bot.Bot
`buyin, equities, estimations, extFeeds, gameStorage, myname, proposals, random, state, talk`

Constructor Summary
`DroolsBot(java.lang.String config)` Build a new bot with the config string and initializes drools.

Method Summary
`protected static org.drools.KnowledgeBase` | `readKnowledgeBase()` Builds and returns a KnowledgeBase.

Methods inherited from class bot.Bot
`addAction, addAction, endHand, endLastRound, gameOver, getBet, getBuyin, getName, getNumPlayers, getRandomBet, handleStateChange, isPlayable, newGame, newRound, printState, run, setBlinds, setBoardCards, setGetGamedef, setHand, setHoleCards, setNextActivePlayer, setPlayers, showdown, showdown, storeCompetitionEndData, storeCompetitionStartData, storeHandEndData, storeHandStartData, storeRoundEndData, storeRoundEndData`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### kbase

    protected org.drools.KnowledgeBase kbase

### ksession

    protected org.drools.runtime.StatefulKnowledgeSession ksession

### logger

    protected org.drools.logger.KnowledgeRuntimeLogger logger

Constructor Detail

### DroolsBot

    public DroolsBot(java.lang.String config)

  Build a new bot with the config string and initializes drools.

  Parameters:
    `config` - Configuration for the constructor of bot.Bot

Method Detail

### readKnowledgeBase

    protected static org.drools.KnowledgeBase readKnowledgeBase()
                                                         throws java.lang.Exception

  Builds and returns a KnowledgeBase. (Needed for drools)

  Returns:
    New KnowledgeBase
  Throws:
    `java.lang.Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD